List available colors:
GET /label/colors
Description
Returns a list of supported label color names.
See the Colors table below for the currently supported options. Use this endpoint to dynamically fetch the up-to-date list of available colors, as new colors may be introduced in future releases.
Colors
| Color | Name |
|---|---|
| ⬤ | Steel (default) |
| ⬤ | Olive |
| ⬤ | Mauve |
| ⬤ | Emerald |
| ⬤ | Orange |
| ⬤ | Magenta |
| ⬤ | Cherry |
| ⬤ | Gold |
| ⬤ | InfraSonarBlue (reserved for global labels) |
Path parameters
none
Query parameters
none
Return codes
| Error code | Reason |
|---|---|
200 |
Success. |
Example
Curl request:
curl \
-X GET 'https://api.infrasonar.com/label/colors' \
-H 'Authorization: Bearer XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX'
Response:
[
"Steel",
"Olive",
"Mauve",
"Emerald",
"Orange",
"Magenta",
"Cherry",
"Gold",
"InfraSonarBlue"
]